aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Newsome <tim@sifive.com>2019-12-04 15:30:18 -0800
committerTim Newsome <tim@sifive.com>2019-12-04 15:30:18 -0800
commit2892828e0b0aa0f6fb2d80d60277273c5a195321 (patch)
tree96f113c4d858d628e12ba2855da0566625290062
parent26190623292f82a0f001bdcba40cfa98786e8819 (diff)
downloadriscv-tools-version_check.zip
riscv-tools-version_check.tar.gz
riscv-tools-version_check.tar.bz2
Fix off-by-one error in autotools version check.version_check
Fixes #299.
-rwxr-xr-xbuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 2ebe825..99f8063 100755
--- a/build.sh
+++ b/build.sh
@@ -8,7 +8,7 @@
echo "Starting RISC-V Toolchain build process"
check_version() {
- $1 --version | awk "NR==1 {if (\$NF>$2) {exit 0} exit 1}" || (
+ $1 --version | awk "NR==1 {if (\$NF>=$2) {exit 0} exit 1}" || (
echo $3 requires at least version $2 of $1. Aborting.
exit 1
)